Skip to main content
POST
/
domains
/
availability
Checking domain availability
curl --request POST \
  --url https://api.peeker.ai/api/partner/v1/domains/availability \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domains": [
    "acme-mail.com",
    "team-acme.com",
    "premium-domain.com"
  ]
}
'
{ "data": { "domains": [ { "domain": "acme-mail.com", "available": true, "price_cents": 1300, "renewal_price_cents": 1500, "currency": "usd", "usable_for": [ "google", "microsoft" ] }, { "domain": "team-acme.com", "available": true, "price_cents": 1300, "renewal_price_cents": 1500, "currency": "usd", "usable_for": [ "google", "microsoft" ] }, { "domain": "news-acme.com", "available": true, "price_cents": 1300, "renewal_price_cents": 1500, "currency": "usd", "usable_for": [ "google", "microsoft" ] } ] } }

Documentation Index

Fetch the complete documentation index at: https://docs.peeker.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:Bearer pk_test_<your-test-key>
required

Your partner API key. Use pk_live_… against the live system or pk_test_… against the sandbox.

Body

application/json
domains
string[]
required

Domain names to check (e.g. acme.com). Up to 200 per call.

Maximum array length: 200

Response

200 - application/json

One row per domain you sent.

data
object
required
Last modified on May 14, 2026